diff --git a/changelog b/changelog
index bb20757..26d39fa 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20080413 tpd src/input/Makefile add integration regression testing	
+20080413 tpd src/input/schaum30.input integrals of tanh(ax)
+20080413 tpd src/input/schaum29.input integrals of sinh(ax) and cosh(ax)
+20080413 tpd src/input/schaum28.input integrals of cosh(ax)
+20080413 tpd src/input/schaum27.input integrals of sinh(ax)
+20080413 tpd src/input/schaum26.input integrals of ln x
 20080409 tpd src/input/Makefile add integration regression testing	
 20080409 tpd src/input/schaum25.input integrals of e^(a*x)
 20080409 tpd readme add Max Tegmark
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 9134ab7..57ff1e9 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -361,7 +361,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     schaum13.regress  schaum14.regress schaum15.regress schaum16.regress \
     schaum17.regress  schaum18.regress schaum19.regress schaum20.regress \
     schaum21.regress  schaum22.regress schaum23.regress schaum24.regress \
-    schaum25.regress \
+    schaum25.regress  schaum26.regress schaum27.regress schaum28.regress \
+    schaum29.regress  schaum30.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -642,6 +643,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/schaum17.input ${OUT}/schaum18.input   ${OUT}/schaum19.input \
        ${OUT}/schaum20.input ${OUT}/schaum21.input   ${OUT}/schaum22.input \
        ${OUT}/schaum23.input ${OUT}/schaum24.input   ${OUT}/schaum25.input \
+       ${OUT}/schaum26.input ${OUT}/schaum27.input   ${OUT}/schaum28.input \
+       ${OUT}/schaum29.input ${OUT}/schaum30.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -952,7 +955,9 @@ DOCFILES= \
   ${DOC}/schaum19.input.dvi    ${DOC}/schaum20.input.dvi \
   ${DOC}/schaum21.input.dvi    ${DOC}/schaum22.input.dvi \
   ${DOC}/schaum23.input.dvi    ${DOC}/schaum24.input.dvi \
-  ${DOC}/schaum25.input.dvi \
+  ${DOC}/schaum25.input.dvi    ${DOC}/schaum26.input.dvi \
+  ${DOC}/schaum27.input.dvi    ${DOC}/schaum28.input.dvi \
+  ${DOC}/schaum29.input.dvi    ${DOC}/schaum30.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum26.input.pamphlet b/src/input/schaum26.input.pamphlet
new file mode 100644
index 0000000..7bf7244
--- /dev/null
+++ b/src/input/schaum26.input.pamphlet
@@ -0,0 +1,324 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum26.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.525~~~~~$\displaystyle
+\int{ln x}~dx$}
+$$\int{ln x}=
+x\ln{x}-x
+$$
+<<*>>=
+)spool schaum26.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 16
+aa:=integrate(log(x),x)
+--R 
+--R
+--R   (1)  x log(x) - x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.526~~~~~$\displaystyle
+\int{x\ln{x}}~dx$}
+$$\int{x\ln{x}}=
+\frac{x^2}{2}\left(\ln{x}-\frac{1}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 2 of 16
+aa:=integrate(x*log(x),x)
+--R 
+--R
+--R          2          2
+--R        2x log(x) - x
+--R   (1)  --------------
+--R               4
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.527~~~~~$\displaystyle
+\int{x^m\ln{x}}~dx$}
+$$\int{x^m\ln{x}}=
+\frac{x^{m+1}}{m+1}\left(\ln{x}-\frac{1}{m+1}\right)
+$$
+<<*>>=
+)clear all
+
+--S 3 of 16
+aa:=integrate(x^m*log(x),x)
+--R 
+--R
+--R                               m log(x)
+--R        ((m + 1)x log(x) - x)%e
+--R   (1)  -------------------------------
+--R                   2
+--R                  m  + 2m + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.528~~~~~$\displaystyle
+\int{\frac{\ln{x}}{x}}~dx$}
+$$\int{\frac{\ln{x}}{x}}=
+\frac{1}{2}\ln^2{x}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 16
+aa:=integrate(log(x)/x,x)
+--R 
+--R
+--R              2
+--R        log(x)
+--R   (1)  -------
+--R           2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.529~~~~~$\displaystyle
+\int{\frac{\ln{x}}{x^2}}~dx$}
+$$\int{\frac{\ln{x}}{x^2}}=
+-\frac{\ln{x}}{x}-\frac{1}{x}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 16
+aa:=integrate(log(x)/x^2,x)
+--R 
+--R
+--R        - log(x) - 1
+--R   (1)  ------------
+--R              x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.530~~~~~$\displaystyle
+\int{\ln^2{x}}~dx$}
+$$\int{\ln^2{x}}=
+x\ln^2{x}-2x\ln{x}+2x
+$$
+<<*>>=
+)clear all
+
+--S 6 of 16
+aa:=integrate(log(x)^2,x)
+--R 
+--R
+--R                2
+--R   (1)  x log(x)  - 2x log(x) + 2x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.531~~~~~$\displaystyle
+\int{\frac{\ln^n{x}}{x}}~dx$}
+$$\int{\frac{\ln^n{x}}{x}}=
+\frac{ln^{n+1}{x}}{n+1}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 16
+aa:=integrate(log(x)^n/x,x)
+--R 
+--R
+--R                n log(log(x))
+--R        log(x)%e
+--R   (1)  ---------------------
+--R                n + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.532~~~~~$\displaystyle
+\int{\frac{dx}{x\ln{x}}}$}
+$$\int{\frac{1}{x\ln{x}}}=
+\ln(\ln{x})
+$$
+<<*>>=
+)clear all
+
+--S 8 of 16
+aa:=integrate(1/(x*log(x)),x)
+--R 
+--R
+--R   (1)  log(log(x))
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.533~~~~~$\displaystyle
+\int{\frac{dx}{\ln{x}}}$}
+$$\int{\frac{1}{\ln{x}}}=
+\ln(\ln{x})+\ln{x}+\frac{\ln^2{x}}{2\cdot 2!}
++\frac{\ln^3{x}}{3\cdot 3!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 9 of 16
+aa:=integrate(1/log(x),x)
+--R 
+--R
+--R   (1)  li(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.534~~~~~$\displaystyle
+\int{\frac{x^m}{\ln{x}}}~dx$}
+$$\int{\frac{x^m}{\ln{x}}}=
+\ln(\ln{x})+(m+1)\ln{x}+\frac{(m+1)^2\ln^2{x}}{2\cdot 2!}
++\frac{(m+1)^3\ln^3{x}}{3\cdot 3!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 10 of 16
+aa:=integrate(x^m/log(x),x)
+--R 
+--R
+--R           x     m
+--I         ++    %I
+--I   (1)   |   ------- d%I
+--I        ++   log(%I)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.535~~~~~$\displaystyle
+\int{\ln^n{x}}~dx$}
+$$\int{\ln^n{x}}=
+x\ln^n{x}-n\int{\ln^{n-1}{x}}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 16
+aa:=integrate(log(x)^n,x)
+--R 
+--R
+--R           x
+--R         ++         n
+--I   (1)   |   log(%I) d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.536~~~~~$\displaystyle
+\int{x^m\ln^n{x}}~dx$}
+$$\int{x^m\ln^n{x}}=
+\frac{x^{m+1}\ln^n{x}}{m+1}-\frac{n}{m+1}\int{x^m\ln^{n-1}{x}}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 16
+aa:=integrate(x^m*log(x)^n,x)
+--R 
+--R
+--R           x
+--R         ++    m       n
+--I   (1)   |   %I log(%I) d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.537~~~~~$\displaystyle
+\int{\ln{(x^2+a^2)}}~dx$}
+$$\int{\ln{(x^2+a^2)}}=
+x\ln(x^2+a^2)-2x+2a\tan^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 16
+aa:=integrate(log(x^2+a^2),x)
+--R 
+--R
+--R               2    2            x
+--R   (1)  x log(x  + a ) + 2a atan(-) - 2x
+--R                                 a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.538~~~~~$\displaystyle
+\int{\ln(x^2-a^2)}~dx$}
+$$\int{\ln(x^2-a^2)}=
+x\ln(x^2-a^2)-2x+a\ln\left(\frac{x+a}{x-a}\right)
+$$
+<<*>>=
+)clear all
+
+--S 14 of 16
+aa:=integrate(log(x^2-a^2),x)
+--R 
+--R
+--R               2    2
+--R   (1)  x log(x  - a ) + a log(x + a) - a log(x - a) - 2x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.539~~~~~$\displaystyle
+\int{x^m\ln(x^2\pm a^2)}~dx$}
+$$\int{x^m\ln(x^2\pm a^2)}=
+\frac{x^{m-1}\ln(x^2\pm a^2)}{m+1}
+-\frac{2}{m+1}\int{\frac{x^{m+2}}{x^2\pm a^2}}
+$$
+<<*>>=
+)clear all
+
+--S 15a of 16
+aa:=integrate(x^m*log(x^2+a^2),x)
+--R 
+--R
+--R           x
+--R         ++       2     2   m
+--I   (1)   |   log(a  + %I )%I d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)clear all
+
+--S 15b of 16
+aa:=integrate(x^m*log(x^2-a^2),x)
+--R 
+--R
+--R           x
+--R         ++         2     2   m
+--I   (1)   |   log(- a  + %I )%I d%I
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p86
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum27.input.pamphlet b/src/input/schaum27.input.pamphlet
new file mode 100644
index 0000000..bb9f4d2
--- /dev/null
+++ b/src/input/schaum27.input.pamphlet
@@ -0,0 +1,619 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum27.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.540~~~~~$\displaystyle
+\int{\sinh{ax}}~dx$}
+$$\int{\sinh{ax}}=
+\frac{\cosh{ax}}{a}
+$$
+<<*>>=
+)spool schaum27.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 22
+aa:=integrate(sinh(a*x),x)
+--R
+--R        cosh(a x)
+--R   (1)  ---------
+--R            a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.541~~~~~$\displaystyle
+\int{x\sinh{ax}}~dx$}
+$$\int{x\sinh{ax}}=
+\frac{x*\cosh{ax}}{a}-\frac{\sinh{ax}}{a^2}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 22
+aa:=integrate(x*sinh(a*x),x)
+--R 
+--R
+--R        - sinh(a x) + a x cosh(a x)
+--R   (1)  ---------------------------
+--R                      2
+--R                     a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.542~~~~~$\displaystyle
+\int{x^2\sinh{ax}}~dx$}
+$$\int{x^2\sinh{ax}}=
+\left(\frac{x^2}{a}+\frac{2}{a^3}\right)\cosh{ax}-\frac{2x}{a^2}\sinh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 22
+aa:=integrate(x^2*sinh(a*x),x)
+--R 
+--R
+--R                             2 2
+--R        - 2a x sinh(a x) + (a x  + 2)cosh(a x)
+--R   (1)  --------------------------------------
+--R                           3
+--R                          a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.543~~~~~$\displaystyle
+\int{\frac{\sinh{ax}}{x}}~dx$}
+$$\int{\frac{\sinh{ax}}{x}}=
+ax+\frac{(ax)^3}{3\cdot 3!}+\frac{(ax)^5}{5\cdot 5!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 4 of 22
+aa:=integrate(sinh(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  sinh(%N a)
+--I   (1)   |   ---------- d%N
+--I        ++       %N
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.544~~~~~$\displaystyle
+\int{\frac{\sinh{ax}}{x^2}}~dx$}
+$$\int{\frac{\sinh{ax}}{x^2}}=
+-\frac{\sinh{ax}}{x}+\int{\frac{\cosh{ax}}{x}}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 22
+aa:=integrate(sinh(a*x)/x^2,x)
+--R 
+--R
+--R           x
+--I         ++  sinh(%N a)
+--I   (1)   |   ---------- d%N
+--R        ++         2
+--I                 %N
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.545~~~~~$\displaystyle
+\int{\frac{dx}{\sinh{ax}}}~dx$}
+$$\int{\frac{1}{\sinh{ax}}}=
+\frac{1}{a}\ln\tanh{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 22
+aa:=integrate(1/sinh(a*x),x)
+--R 
+--R
+--R        - log(sinh(a x) + cosh(a x) + 1) + log(sinh(a x) + cosh(a x) - 1)
+--R   (1)  -----------------------------------------------------------------
+--R                                        a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.546~~~~~$\displaystyle
+\int{\frac{x~dx}{\sinh{ax}}}~dx$}
+$$\int{\frac{x}{\sinh{ax}}}=
+\frac{1}{a^2}\left\{ax-\frac{(ax)^3}{18}+\frac{7(ax)^5}{1800}-\cdots
++\frac{2(-1)^n(2^{2n-1})B_n(ax)^{2n+1}}{(2n+1)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 22
+aa:=integrate(x/sinh(a*x),x)
+--R 
+--R
+--R           x
+--I         ++      %N
+--I   (1)   |   ---------- d%N
+--I        ++   sinh(%N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.547~~~~~$\displaystyle
+\int{\sinh^2{ax}}~dx$}
+$$\int{\sinh^2{ax}}=
+\frac{\sinh{ax}\cosh{ax}}{2a}-\frac{x}{2}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 22
+aa:=integrate(sinh(a*x)^2,x)
+--R 
+--R
+--R        cosh(a x)sinh(a x) - a x
+--R   (1)  ------------------------
+--R                   2a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.548~~~~~$\displaystyle
+\int{x\sinh^2{ax}}~dx$}
+$$\int{x\sinh^2{ax}}=
+\frac{x*\sinh{2ax}}{4a}-\frac{\cosh{2ax}}{8a^2}-\frac{x^2}{4}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 22
+aa:=integrate(x*sinh(a*x)^2,x)
+--R 
+--R
+--R                   2                                      2     2 2
+--R        - sinh(a x)  + 4a x cosh(a x)sinh(a x) - cosh(a x)  - 2a x
+--R   (1)  -----------------------------------------------------------
+--R                                      2
+--R                                    8a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.549~~~~~$\displaystyle
+\int{\frac{dx}{\sinh^2{ax}}}~dx$}
+$$\int{\frac{1}{\sinh^2{ax}}}=
+-\frac{\coth{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 22
+aa:=integrate(1/sinh(a*x)^2,x)
+--R 
+--R
+--R                                     2
+--R   (1)  - -------------------------------------------------------
+--R                     2                                      2
+--R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.550~~~~~$\displaystyle
+\int{\sinh{ax}\sinh{px}}~dx$}
+$$\int{\sinh{ax}\sinh{px}}=
+\frac{\sinh(a+p)x}{2(a+p)}-\frac{\sinh(a-p)x}{2(a-p)}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 22
+aa:=integrate(sinh(a*x)*sinh(p*x),x)
+--R 
+--R
+--R        a cosh(a x)sinh(p x) - p cosh(p x)sinh(a x)
+--R   (1)  -------------------------------------------
+--R          2    2          2       2    2          2
+--R        (p  - a )sinh(a x)  + (- p  + a )cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.551~~~~~$\displaystyle
+\int{\sinh{ax}\sin{px}}~dx$}
+$$\int{\sinh{ax}\sin{px}}=
+\frac{a\cosh{ax}\sin{px}-p\sinh{ax}\cos{px}}{a^2+p^2}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 22
+aa:=integrate(sinh(a*x)*sin(p*x),x)
+--R 
+--R
+--R   (1)
+--R                                         2
+--R       (a sin(p x) - p cos(p x))sinh(a x)
+--R     + 
+--R       (2a cosh(a x)sin(p x) - 2p cos(p x)cosh(a x))sinh(a x)
+--R     + 
+--R                   2                                   2
+--R       (a cosh(a x)  + a)sin(p x) - p cos(p x)cosh(a x)  + p cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.552~~~~~$\displaystyle
+\int{\sinh{ax}\cos{px}}~dx$}
+$$\int{\sinh{ax}\cos{px}}=
+\frac{a\cosh{ax}\cos{px}+p\sinh{ax}\sin{px}}{a^2+p^2}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 22
+aa:=integrate(sinh(a*x)*cos(p*x),x)
+--R 
+--R
+--R   (1)
+--R                                         2
+--R       (p sin(p x) + a cos(p x))sinh(a x)
+--R     + 
+--R       (2p cosh(a x)sin(p x) + 2a cos(p x)cosh(a x))sinh(a x)
+--R     + 
+--R                   2                                   2
+--R       (p cosh(a x)  - p)sin(p x) + a cos(p x)cosh(a x)  + a cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.553~~~~~$\displaystyle
+\int{\frac{dx}{p+q\sinh{ax}}}~dx$}
+$$\int{\frac{1}{p+q\sinh{ax}}}=
+\frac{1}{a\sqrt{p^2+q^2}}
+\ln\left(\frac{qe^{ax}+p-\sqrt{p^2+q^2}}{qe^{ax}+p+\sqrt{p^2+q^2}}\right)
+$$
+<<*>>=
+)clear all
+
+--S 14 of 22
+aa:=integrate(1/(p+q*sinh(a*x)),x)
+--R 
+--R
+--R   (1)
+--R     log
+--R                 2         2      2                              2         2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R              + 
+--R                                  2     2
+--R                2p q cosh(a x) + q  + 2p
+--R           *
+--R               +-------+
+--R               | 2    2
+--R              \|q  + p
+--R          + 
+--R                 3     2                   3     2                  2     3
+--R            (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R       /
+--R                       2                                             2
+--R            q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R          + 
+--R            2p cosh(a x) - q
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     a\|q  + p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.554~~~~~$\displaystyle
+\int{\frac{dx}{(p+q\sinh{ax})^2}}~dx$}
+$$\int{\frac{1}{(p+q\sinh{ax})^2}}=
+\frac{-q\cosh{ax}}{a(p^2+q^2)(p+q\sinh{ax})}
++\frac{p}{p^2+q^2}\int{\frac{1}{p+q\sinh{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 15 of 22
+aa:=integrate(1/(p*q*sinh(a*x))^2,x)
+--R 
+--R
+--R   (1)
+--R                                         2
+--R   - ------------------------------------------------------------------------
+--R        2 2         2       2 2                        2 2         2      2 2
+--R     a p q sinh(a x)  + 2a p q cosh(a x)sinh(a x) + a p q cosh(a x)  - a p q
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.555~~~~~$\displaystyle
+\int{\frac{dx}{p^2+q^2\sinh^2{ax}}}$}
+$$\int{\frac{1}{p^2+q^2\sinh^2{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{ap\sqrt{q^2-p^2}}\tan^{-1}\frac{\sqrt{q^2-p^2}\tanh{ax}}{p}\\
+\\
+\displaystyle
+\frac{1}{2ap\sqrt{p^2-q^2}}\ln\left(\frac{p+\sqrt{p^2-q^2}\tanh{ax}}
+{p-\sqrt{p^2-q^2}\tanh{ax}}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 16 of 22
+aa:=integrate(1/(p^2+q^2*sinh(a*x)^2),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                   4         4     4                  3
+--R                  q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                + 
+--R                     4         2     4     2 2          2
+--R                  (6q cosh(a x)  - 2q  + 4p q )sinh(a x)
+--R                + 
+--R                     4         3        4     2 2
+--R                  (4q cosh(a x)  + (- 4q  + 8p q )cosh(a x))sinh(a x)
+--R                + 
+--R                   4         4        4     2 2          2    4     2 2     4
+--R                  q cosh(a x)  + (- 2q  + 4p q )cosh(a x)  + q  - 8p q  + 8p
+--R             *
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R            + 
+--R                   4     3 2          2        4     3 2
+--R              (4p q  - 4p q )sinh(a x)  + (8p q  - 8p q )cosh(a x)sinh(a x)
+--R            + 
+--R                   4     3 2          2       4      3 2     5
+--R              (4p q  - 4p q )cosh(a x)  - 4p q  + 12p q  - 8p
+--R         /
+--R               2         4     2                  3
+--R              q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R            + 
+--R                 2         2     2     2          2
+--R              (6q cosh(a x)  - 2q  + 4p )sinh(a x)
+--R            + 
+--R                 2         3        2     2                        2         4
+--R              (4q cosh(a x)  + (- 4q  + 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R            + 
+--R                   2     2          2    2
+--R              (- 2q  + 4p )cosh(a x)  + q
+--R    /
+--R            +---------+
+--R            |   2    2
+--R       2a p\|- q  + p
+--R     ,
+--R
+--R       atan
+--R                2         2     2                      2         2    2     2
+--R              (q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  - q  + 2p )
+--R           *
+--R               +-------+
+--R               | 2    2
+--R              \|q  - p
+--R         /
+--R                2     3
+--R            2p q  - 2p
+--R    /
+--R           +-------+
+--R           | 2    2
+--R       a p\|q  - p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.556~~~~~$\displaystyle
+\int{\frac{dx}{p^2-q^2\sinh^2{ax}}}~dx$}
+$$\int{\frac{1}{p^2-q^2\sinh^2{ax}}}=
+\frac{1}{2ap\sqrt{p^2+q^2}}\ln\left(\frac{p+\sqrt{p^2+q^2}\tanh{ax}}
+{p-\sqrt{p^2+q^2}\tanh{ax}}\right)
+$$
+<<*>>=
+)clear all
+
+--S 17 of 22
+aa:=integrate(1/(p^2+q^2*sinh(a*x)^2),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                   4         4     4                  3
+--R                  q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                + 
+--R                     4         2     4     2 2          2
+--R                  (6q cosh(a x)  - 2q  + 4p q )sinh(a x)
+--R                + 
+--R                     4         3        4     2 2
+--R                  (4q cosh(a x)  + (- 4q  + 8p q )cosh(a x))sinh(a x)
+--R                + 
+--R                   4         4        4     2 2          2    4     2 2     4
+--R                  q cosh(a x)  + (- 2q  + 4p q )cosh(a x)  + q  - 8p q  + 8p
+--R             *
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R            + 
+--R                   4     3 2          2        4     3 2
+--R              (4p q  - 4p q )sinh(a x)  + (8p q  - 8p q )cosh(a x)sinh(a x)
+--R            + 
+--R                   4     3 2          2       4      3 2     5
+--R              (4p q  - 4p q )cosh(a x)  - 4p q  + 12p q  - 8p
+--R         /
+--R               2         4     2                  3
+--R              q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R            + 
+--R                 2         2     2     2          2
+--R              (6q cosh(a x)  - 2q  + 4p )sinh(a x)
+--R            + 
+--R                 2         3        2     2                        2         4
+--R              (4q cosh(a x)  + (- 4q  + 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R            + 
+--R                   2     2          2    2
+--R              (- 2q  + 4p )cosh(a x)  + q
+--R    /
+--R            +---------+
+--R            |   2    2
+--R       2a p\|- q  + p
+--R     ,
+--R
+--R       atan
+--R                2         2     2                      2         2    2     2
+--R              (q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  - q  + 2p )
+--R           *
+--R               +-------+
+--R               | 2    2
+--R              \|q  - p
+--R         /
+--R                2     3
+--R            2p q  - 2p
+--R    /
+--R           +-------+
+--R           | 2    2
+--R       a p\|q  - p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.557~~~~~$\displaystyle
+\int{x^m\sinh{ax}}~dx$}
+$$\int{x^m\sinh{ax}}=
+\frac{x^m\cosh{ax}}{a}-\frac{m}{a}\int{x^{m-1}\cosh{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 18 of 22
+aa:=integrate(x^m*sinh(a*x),x)
+--R 
+--R
+--R           x
+--R         ++              m
+--I   (1)   |   sinh(%N a)%N d%N
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.558~~~~~$\displaystyle
+\int{\sinh^n}~dx$}
+$$\int{\sinh^n}=
+\frac{\sinh^{n-1}{ax}\cosh{ax}}{an}-\frac{n-1}{n}\int{\sinh^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 19 of 22
+aa:=integrate(sinh(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++            n
+--I   (1)   |   sinh(%N a) d%N
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.559~~~~~$\displaystyle
+\int{\frac{\sinh{ax}}{x^n}}~dx$}
+$$\int{\frac{\sinh{ax}}{x^n}}=
+\frac{-\sinh{ax}}{(n-1)x^{n-1}}+\frac{a}{n-1}\int{\frac{\cosh{ax}}{n^{n-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 20 of 22
+aa:=integrate(sinh(a*x)/a^n,x)
+--R
+--R                 2                                  2
+--R        sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1
+--R   (1)  -------------------------------------------------
+--R                                               n
+--R                 (2a sinh(a x) + 2a cosh(a x))a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.560~~~~~$\displaystyle
+\int{\frac{dx}{\sinh^n{ax}}}~dx$}
+$$\int{\frac{1}{\sinh^n{ax}}}=
+\frac{-\cosh{ax}}{a(n-1)\sinh^{n-1}{ax}}
+-\frac{n-2}{n-1}\int{\frac{1}{\sinh^{n-2}{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 21 of 22
+aa:=integrate(1/sinh(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++       1
+--I   (1)   |   ----------- d%N
+--R        ++             n
+--I             sinh(%N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.561~~~~~$\displaystyle
+\int{\frac{x~dx}{\sinh^n{ax}}}~dx$}
+$$\int{\frac{x}{\sinh^n{ax}}}=
+\frac{-x\cosh{ax}}{a(n-1)\sinh^{n-1}{ax}}
+-\frac{1}{a^2(n-1)(n-2)\sinh^{n-2}{ax}}
+-\frac{n-2}{n-1}\int{\frac{x}{\sinh^{n-2}{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 22 of 22
+aa:=integrate(x/sinh(a*x)^n,x)
+--R 
+--R
+--R           x
+--I         ++       %N
+--I   (1)   |   ----------- d%N
+--R        ++             n
+--I             sinh(%N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p86
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum28.input.pamphlet b/src/input/schaum28.input.pamphlet
new file mode 100644
index 0000000..b3fc3c6
--- /dev/null
+++ b/src/input/schaum28.input.pamphlet
@@ -0,0 +1,846 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum28.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.562~~~~~$\displaystyle
+\int{\cosh{ax}}~dx$}
+$$\int{\cosh{ax}}=
+\frac{\sinh{ax}}{a}
+$$
+<<*>>=
+)spool schaum28.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 28
+aa:=integrate(cosh(a*x),x)
+--R 
+--R
+--R        sinh(a x)
+--R   (1)  ---------
+--R            a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.563~~~~~$\displaystyle
+\int{x\cosh{ax}}~dx$}
+$$\int{x\cosh{ax}}=
+\frac{x\sinh{ax}}{a}-\frac{\cosh{ax}}{a^2}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 28
+aa:=integrate(x*cosh(a*x),x)
+--R 
+--R
+--R        a x sinh(a x) - cosh(a x)
+--R   (1)  -------------------------
+--R                     2
+--R                    a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.564~~~~~$\displaystyle
+\int{x^2\cosh{ax}}~dx$}
+$$\int{x^2\cosh{ax}}=
+-\frac{2x\cosh{ax}}{a^2}+\left(\frac{x^2}{a}+\frac{2}{a^3}\right)\sinh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 28
+aa:=integrate(x^2*cosh(a*x),x)
+--R 
+--R
+--R          2 2
+--R        (a x  + 2)sinh(a x) - 2a x cosh(a x)
+--R   (1)  ------------------------------------
+--R                          3
+--R                         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.565~~~~~$\displaystyle
+\int{\frac{\cosh{ax}}{x}}~dx$}
+$$\int{\frac{\cosh{ax}}{x}}=
+\ln{x}+\frac{(ax)^2}{2\cdot 2!}
++\frac{(ax)^4}{4\cdot 4!}
++\frac{(ax)^6}{6\cdot 6!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 4 of 28
+aa:=integrate(cosh(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  cosh(%N a)
+--I   (1)   |   ---------- d%N
+--I        ++       %N
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.566~~~~~$\displaystyle
+\int{\frac{\cosh{ax}}{x^2}}~dx$}
+$$\int{\frac{\cosh{ax}}{x^2}}=
+-\frac{\cosh{ax}}{x}+a\int{\frac{\sinh{ax}}{a}}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 28
+aa:=integrate(cosh(a*x)/x^2,x)
+--R 
+--R
+--R           x
+--I         ++  cosh(%N a)
+--I   (1)   |   ---------- d%N
+--R        ++         2
+--I                 %N
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.567~~~~~$\displaystyle
+\int{\frac{dx}{\cosh{ax}}}~dx$}
+$$\int{\frac{1}{\cosh{ax}}}=
+\frac{2}{a}\tan^{-1}e^{ax}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 28
+aa:=integrate(1/cosh(a*x),x)
+--R 
+--R
+--R        2atan(sinh(a x) + cosh(a x))
+--R   (1)  ----------------------------
+--R                      a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.568~~~~~$\displaystyle
+\int{\frac{x~dx}{\cosh{ax}}}~dx$}
+$$\int{\frac{x}{\cosh{ax}}}=
+\frac{1}{a^2}\left\{\frac{(ax)^2}{2}-\frac{(ax)^4}{8}+\frac{5(ax)^6}{144}
++\cdots+\frac{(-1)^nE_n(ax)^{2n+2}}{(2n+2)(2n)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 28
+aa:=integrate(x/cosh(a*x),x)
+--R 
+--R
+--R           x
+--I         ++      %N
+--I   (1)   |   ---------- d%N
+--I        ++   cosh(%N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.569~~~~~$\displaystyle
+\int{\cosh^2{ax}}~dx$}
+$$\int{\cosh^2{ax}}=
+\frac{x}{2}+\frac{\sinh{ax}\cosh{ax}}{2}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 28
+aa:=integrate(cosh(a*x)^2,x)
+--R 
+--R
+--R        cosh(a x)sinh(a x) + a x
+--R   (1)  ------------------------
+--R                   2a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.570~~~~~$\displaystyle
+\int{x\cosh^2{ax}}~dx$}
+$$\int{x\cosh^2{ax}}=
+\frac{x^2}{4}+\frac{x\sinh{2ax}}{4a}-\frac{\cosh{2ax}}{8a^2}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 28
+aa:=integrate(x*cosh(a*x)^2,x)
+--R 
+--R
+--R                   2                                      2     2 2
+--R        - sinh(a x)  + 4a x cosh(a x)sinh(a x) - cosh(a x)  + 2a x
+--R   (1)  -----------------------------------------------------------
+--R                                      2
+--R                                    8a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.571~~~~~$\displaystyle
+\int{\frac{dx}{\cosh^2{ax}}}~dx$}
+$$\int{\frac{1}{\cosh^2{ax}}}=
+\frac{\tanh{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 28
+aa:=integrate(1/cosh(a*x)^2,x)
+--R 
+--R
+--R                                     2
+--R   (1)  - -------------------------------------------------------
+--R                     2                                      2
+--R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.572~~~~~$\displaystyle
+\int{\cosh{ax}\cosh{px}}~dx$}
+$$\int{\cosh{ax}\cosh{px}}=
+\frac{\sinh(a-p)x}{2(a-p)}+\frac{\sinh(a+p)x}{2(a+p)}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 28
+aa:=integrate(cosh(a*x)*cosh(p*x),x)
+--R 
+--R
+--R        - p cosh(a x)sinh(p x) + a cosh(p x)sinh(a x)
+--R   (1)  ---------------------------------------------
+--R           2    2          2       2    2          2
+--R         (p  - a )sinh(a x)  + (- p  + a )cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.573~~~~~$\displaystyle
+\int{\cosh{ax}\sin{px}}~dx$}
+$$\int{\cosh{ax}\sin{px}}=
+\frac{a\sinh{ax}\sin{px}-p\cosh{ax}\cos{px}}{a^2+p^2}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 28
+aa:=integrate(cosh(a*x)*sin(p*x),x)
+--R 
+--R
+--R   (1)
+--R                                         2
+--R       (a sin(p x) - p cos(p x))sinh(a x)
+--R     + 
+--R       (2a cosh(a x)sin(p x) - 2p cos(p x)cosh(a x))sinh(a x)
+--R     + 
+--R                   2                                   2
+--R       (a cosh(a x)  - a)sin(p x) - p cos(p x)cosh(a x)  - p cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.574~~~~~$\displaystyle
+\int{\cosh{ax}\cos{px}}~dx$}
+$$\int{\cosh{ax}\cos{px}}=
+\frac{a\sinh{ax}\cos{px}+p\cosh{ax}\sin{px}}{a^2+p^2}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 28
+aa:=integrate(cosh(a*x)*cos(p*x),x)
+--R 
+--R
+--R   (1)
+--R                                         2
+--R       (p sin(p x) + a cos(p x))sinh(a x)
+--R     + 
+--R       (2p cosh(a x)sin(p x) + 2a cos(p x)cosh(a x))sinh(a x)
+--R     + 
+--R                   2                                   2
+--R       (p cosh(a x)  + p)sin(p x) + a cos(p x)cosh(a x)  - a cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.575~~~~~$\displaystyle
+\int{\frac{dx}{\cosh{ax}+1}}$}
+$$\int{\frac{1}{\cosh{ax}+1}}=
+\frac{1}{a}\tanh{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 14 of 28
+aa:=integrate(1/(cosh(a*x)+1),x)
+--R 
+--R
+--R                        2
+--R   (1)  - -----------------------------
+--R          a sinh(a x) + a cosh(a x) + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.576~~~~~$\displaystyle
+\int{\frac{dx}{\cosh{ax}-1}}$}
+$$\int{\frac{1}{\cosh{ax}-1}}=
+-\frac{1}{a}\coth{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 15 of 28
+aa:=integrate(1/(cosh(a*x)-1),x)
+--R 
+--R
+--R                        2
+--R   (1)  - -----------------------------
+--R          a sinh(a x) + a cosh(a x) - a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.577~~~~~$\displaystyle
+\int{\frac{x~dx}{\cosh{ax}+1}}~dx$}
+$$\int{\frac{x}{\cosh{ax}+1}}=
+\frac{x}{a}\tanh\frac{ax}{2}-\frac{2}{a^2}\ln\cosh\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 16 of 28
+aa:=integrate(x/(cosh(a*x)+1),x)
+--R 
+--R
+--R   (1)
+--R       (- 2sinh(a x) - 2cosh(a x) - 2)log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R       2a x sinh(a x) + 2a x cosh(a x)
+--R  /
+--R      2             2             2
+--R     a sinh(a x) + a cosh(a x) + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.578~~~~~$\displaystyle
+\int{\frac{x~dx}{\cosh{ax}-1}}$}
+$$\int{\frac{x}{\cosh{ax}-1}}
+-\frac{x}{a}\coth\frac{ax}{2}+\frac{2}{a^2}\ln\sinh\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 17 of 28
+aa:=integrate(x/(cosh(a*x)-1),x)
+--R 
+--R
+--R   (1)
+--R       (2sinh(a x) + 2cosh(a x) - 2)log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R       - 2a x sinh(a x) - 2a x cosh(a x)
+--R  /
+--R      2             2             2
+--R     a sinh(a x) + a cosh(a x) - a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.579~~~~~$\displaystyle
+\int{\frac{dx}{(\cosh{ax}+1)^2}}$}
+$$\int{\frac{1}{(\cosh{ax}+1)^2}}=
+\frac{1}{2a}\tanh{\frac{ax}{2}}-\frac{1}{6a}\tanh^3{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 18 of 28
+aa:=integrate(1/(cosh(a*x)+1)^2,x)
+--R 
+--R
+--R   (1)
+--R     - 6sinh(a x) - 6cosh(a x) - 2
+--R  /
+--R                   3                               2
+--R       3a sinh(a x)  + (9a cosh(a x) + 9a)sinh(a x)
+--R     + 
+--R                    2                                              3
+--R       (9a cosh(a x)  + 18a cosh(a x) + 9a)sinh(a x) + 3a cosh(a x)
+--R     + 
+--R                   2
+--R       9a cosh(a x)  + 9a cosh(a x) + 3a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.580~~~~~$\displaystyle
+\int{\frac{dx}{(\cosh{ax}-1)^2}}$}
+$$\int{\frac{1}{(\cosh{ax}-1)^2}}=
+\frac{1}{2a}\coth{\frac{ax}{2}}-\frac{1}{6a}\coth^3{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 19 of 28
+aa:=integrate(1/(cosh(a*x)-1)^2,x)
+--R 
+--R
+--R   (1)
+--R     - 6sinh(a x) - 6cosh(a x) + 2
+--R  /
+--R                   3                               2
+--R       3a sinh(a x)  + (9a cosh(a x) - 9a)sinh(a x)
+--R     + 
+--R                    2                                              3
+--R       (9a cosh(a x)  - 18a cosh(a x) + 9a)sinh(a x) + 3a cosh(a x)
+--R     + 
+--R                     2
+--R       - 9a cosh(a x)  + 9a cosh(a x) - 3a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.581~~~~~$\displaystyle
+\int{\frac{dx}{p+q\cosh{ax}}}$}
+$$\int{\frac{1}{p+q\cosh{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{2}{a\sqrt{q^2-p^2}}\tan^{-1}\frac{qe^{ax}+p}{\sqrt{q^2-p^2}}\\
+\\
+\displaystyle
+\frac{1}{a\sqrt{p^2-a^2}}\ln\left(\frac{qe^{ax}+p-\sqrt{p^2-q^2}}
+{qe^{ax}+p+\sqrt{p^2-q^2}}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 20 of 28
+aa:=integrate(1/(p+q*cosh(a*x)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                   2         2      2                              2         2
+--R                  q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                + 
+--R                                    2     2
+--R                  2p q cosh(a x) - q  + 2p
+--R             *
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R            + 
+--R                 3     2                 3     2                  2     3
+--R              (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R         /
+--R                         2                                             2
+--R              q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R            + 
+--R              2p cosh(a x) + q
+--R    /
+--R         +---------+
+--R         |   2    2
+--R       a\|- q  + p
+--R     ,
+--R                                          +-------+
+--R                                          | 2    2
+--R          (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R    2atan(-----------------------------------------)
+--R                            2    2
+--R                           q  - p
+--R    ------------------------------------------------]
+--R                         +-------+
+--R                         | 2    2
+--R                       a\|q  - p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.582~~~~~$\displaystyle
+\int{\frac{dx}{(p+q\cosh{ax})^2}}~dx$}
+$$\int{\frac{1}{(p+q\cosh{ax})^2}}=
+\frac{q\sinh{ax}}{a(q^2-p^2)(p+q\cosh{ax})}
+-\frac{p}{q^2-p^2}\int{\frac{1}{p+q\cosh{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 21 of 28
+aa:=integrate(1/(p+q*cosh(a*x))^2,x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                          2                       2                          2
+--R             p q sinh(a x)  + (2p q cosh(a x) + 2p )sinh(a x) + p q cosh(a x)
+--R           + 
+--R               2
+--R             2p cosh(a x) + p q
+--R        *
+--R           log
+--R                       2         2      2
+--R                      q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x)
+--R                    + 
+--R                       2         2                     2     2
+--R                      q cosh(a x)  + 2p q cosh(a x) - q  + 2p
+--R                 *
+--R                     +---------+
+--R                     |   2    2
+--R                    \|- q  + p
+--R                + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  + 2p q)sinh(a x) + (- 2q  + 2p q)cosh(a x) - 2p q  + 2p
+--R             /
+--R                             2                                             2
+--R                  q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R                + 
+--R                  2p cosh(a x) + q
+--R       + 
+--R                                              +---------+
+--R                                              |   2    2
+--R         (- 2p sinh(a x) - 2p cosh(a x) - 2q)\|- q  + p
+--R    /
+--R               3      2           2
+--R           (a q  - a p q)sinh(a x)
+--R         + 
+--R                 3       2                    2       3
+--R           ((2a q  - 2a p q)cosh(a x) + 2a p q  - 2a p )sinh(a x)
+--R         + 
+--R               3      2           2          2       3                3      2
+--R           (a q  - a p q)cosh(a x)  + (2a p q  - 2a p )cosh(a x) + a q  - a p q
+--R      *
+--R          +---------+
+--R          |   2    2
+--R         \|- q  + p
+--R     ,
+--R
+--R                             2                         2
+--R             - 2p q sinh(a x)  + (- 4p q cosh(a x) - 4p )sinh(a x)
+--R           + 
+--R                             2     2
+--R             - 2p q cosh(a x)  - 4p cosh(a x) - 2p q
+--R        *
+--R                                                +-------+
+--R                                                | 2    2
+--R                (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R           atan(-----------------------------------------)
+--R                                  2    2
+--R                                 q  - p
+--R       + 
+--R                                              +-------+
+--R                                              | 2    2
+--R         (- 2p sinh(a x) - 2p cosh(a x) - 2q)\|q  - p
+--R    /
+--R               3      2           2
+--R           (a q  - a p q)sinh(a x)
+--R         + 
+--R                 3       2                    2       3
+--R           ((2a q  - 2a p q)cosh(a x) + 2a p q  - 2a p )sinh(a x)
+--R         + 
+--R               3      2           2          2       3                3      2
+--R           (a q  - a p q)cosh(a x)  + (2a p q  - 2a p )cosh(a x) + a q  - a p q
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  - p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.583~~~~~$\displaystyle
+\int{\frac{dx}{p^2-q^2\cosh^2{ax}}}$}
+$$\int{\frac{1}{p^2-q^2\cosh^2{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{2ap\sqrt{p^2-q^2}}\ln\left(\frac{p\tanh{ax}+\sqrt{p^2-q^2}}
+{p\tanh{ax}-\sqrt{p^2-q^2}}\right)\\
+\\
+\displaystyle
+\frac{1}{ap\sqrt{q^2-p^2}}\tan^{-1}\frac{p\tanh{ax}}{\sqrt{q^2-p^2}}\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 22 of 28
+aa:=integrate(1/(p^2-q^2*cosh(a*x)^2),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                   4         4     4                  3
+--R                  q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                + 
+--R                     4         2     4     2 2          2
+--R                  (6q cosh(a x)  + 2q  - 4p q )sinh(a x)
+--R                + 
+--R                     4         3      4     2 2
+--R                  (4q cosh(a x)  + (4q  - 8p q )cosh(a x))sinh(a x)
+--R                + 
+--R                   4         4      4     2 2          2    4     2 2     4
+--R                  q cosh(a x)  + (2q  - 4p q )cosh(a x)  + q  - 8p q  + 8p
+--R             *
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R            + 
+--R                     4     3 2          2          4     3 2
+--R              (- 4p q  + 4p q )sinh(a x)  + (- 8p q  + 8p q )cosh(a x)sinh(a x)
+--R            + 
+--R                     4     3 2          2       4      3 2     5
+--R              (- 4p q  + 4p q )cosh(a x)  - 4p q  + 12p q  - 8p
+--R         /
+--R               2         4     2                  3
+--R              q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R            + 
+--R                 2         2     2     2          2
+--R              (6q cosh(a x)  + 2q  - 4p )sinh(a x)
+--R            + 
+--R                 2         3      2     2                        2         4
+--R              (4q cosh(a x)  + (4q  - 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R            + 
+--R                 2     2          2    2
+--R              (2q  - 4p )cosh(a x)  + q
+--R    /
+--R            +---------+
+--R            |   2    2
+--R       2a p\|- q  + p
+--R     ,
+--R
+--R     -
+--R          atan
+--R                      2         2     2                      2         2    2
+--R                     q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  + q
+--R                   + 
+--R                         2
+--R                     - 2p
+--R              *
+--R                  +-------+
+--R                  | 2    2
+--R                 \|q  - p
+--R            /
+--R                   2     3
+--R               2p q  - 2p
+--R       /
+--R              +-------+
+--R              | 2    2
+--R          a p\|q  - p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.584~~~~~$\displaystyle
+\int{\frac{dx}{p^2+q^2\cosh^2{ax}}}$}
+$$\int{\frac{1}{p^2+q^2\cosh^2{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{2ap\sqrt{p^2+q^2}}\ln\left(\frac{p\tanh{ax}+\sqrt{p^2+q^2}}
+{p\tanh{ax}-\sqrt{p^2+q^2}}\right)\\
+\\
+\displaystyle
+\frac{1}{ap\sqrt{p^2+q^2}}\tan^{-1}\frac{p\tanh{ax}}{\sqrt{p^2+q^2}}\\
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 23 of 28
+aa:=integrate(1/(p^2+q^2*cosh(a*x)^2),x)
+--R 
+--R
+--R   (1)
+--R     log
+--R                 4         4     4                  3
+--R                q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R              + 
+--R                   4         2     4     2 2          2
+--R                (6q cosh(a x)  + 2q  + 4p q )sinh(a x)
+--R              + 
+--R                   4         3      4     2 2                        4         4
+--R                (4q cosh(a x)  + (4q  + 8p q )cosh(a x))sinh(a x) + q cosh(a x)
+--R              + 
+--R                   4     2 2          2    4     2 2     4
+--R                (2q  + 4p q )cosh(a x)  + q  + 8p q  + 8p
+--R           *
+--R               +-------+
+--R               | 2    2
+--R              \|q  + p
+--R          + 
+--R                   4     3 2          2          4     3 2
+--R            (- 4p q  - 4p q )sinh(a x)  + (- 8p q  - 8p q )cosh(a x)sinh(a x)
+--R          + 
+--R                   4     3 2          2       4      3 2     5
+--R            (- 4p q  - 4p q )cosh(a x)  - 4p q  - 12p q  - 8p
+--R       /
+--R             2         4     2                  3
+--R            q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R          + 
+--R               2         2     2     2          2
+--R            (6q cosh(a x)  + 2q  + 4p )sinh(a x)
+--R          + 
+--R               2         3      2     2                        2         4
+--R            (4q cosh(a x)  + (4q  + 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R          + 
+--R               2     2          2    2
+--R            (2q  + 4p )cosh(a x)  + q
+--R  /
+--R          +-------+
+--R          | 2    2
+--R     2a p\|q  + p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.585~~~~~$\displaystyle
+\int{x^m\cosh{ax}}~dx$}
+$$\int{x^m\cosh{ax}}=
+\frac{x^m\sinh{ax}}{a}-\frac{m}{a}\int{x^{m-1}\sinh{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 24 of 28
+aa:=integrate(x^m*cosh(a*x),x)
+--R 
+--R
+--R           x
+--R         ++              m
+--I   (1)   |   cosh(%N a)%N d%N
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.586~~~~~$\displaystyle
+\int{\cosh^n{ax}}~dx$}
+$$\int{\cosh^n{ax}}=
+\frac{\cosh^{n-1}{ax}\sinh{ax}}{an}+\frac{n-1}{n}\int{\cosh^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 25 of 28
+aa:=integrate(cosh(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++            n
+--I   (1)   |   cosh(%N a) d%N
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.587~~~~~$\displaystyle
+\int{\frac{\cosh{ax}}{x^n}}~dx$}
+$$\int{\frac{\cosh{ax}}{x^n}}=
+\frac{-\cosh{ax}}{(n-1)x^{n-1}}
++\frac{a}{n-1}\int{\frac{\sinh{ax}}{x^{n-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 26 of 28
+aa:=integrate(cosh(a*x)/x^n,x)
+--R 
+--R
+--R           x
+--I         ++  cosh(%N a)
+--I   (1)   |   ---------- d%N
+--R        ++         n
+--I                 %N
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.588~~~~~$\displaystyle
+\int{\frac{dx}{\cosh^n{ax}}}~dx$}
+$$\int{\frac{1}{\cosh^n{ax}}}=
+\frac{\sinh{ax}}{a(n-1)\cosh^{n-1}{ax}}
++\frac{n-2}{n-1}\int{\frac{1}{\cosh^{n-2}{ax}}}
+$$
+<<*>>=
+)clear all
+
+--S 27 of 28
+aa:=integrate(1/cosh(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++       1
+--I   (1)   |   ----------- d%N
+--R        ++             n
+--I             cosh(%N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.589~~~~~$\displaystyle
+\int{\frac{x}{\cosh^n{ax}}}~dx$}
+$$\int{\frac{x}{\cosh^n{ax}}}=
+\frac{x\sinh{ax}}{a(n-1)\cosh^{n-1}{ax}}
++\frac{1}{(n-1)(n-2)a^2\cosh^{n-2}{ax}}
++\frac{n-2}{n-1}\int{\frac{x}{\cosh^{n-2}}}
+$$
+<<*>>=
+)clear all
+
+--S 28 of 28
+aa:=integrate(1/cosh(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++       1
+--I   (1)   |   ----------- d%N
+--R        ++             n
+--I             cosh(%N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp88-89
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum29.input.pamphlet b/src/input/schaum29.input.pamphlet
new file mode 100644
index 0000000..37e2800
--- /dev/null
+++ b/src/input/schaum29.input.pamphlet
@@ -0,0 +1,365 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum29.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.590~~~~~$\displaystyle
+\int{\sinh{ax}\cosh{ax}}~dx$}
+$$\int{\sinh{ax}\cosh{ax}}=
+\frac{\sinh^2{ax}}{2a}
+$$
+<<*>>=
+)spool schaum29.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 14
+aa:=integrate(sinh(a*x)*cosh(a*x),x)
+--R 
+--R
+--R                 2            2
+--R        sinh(a x)  + cosh(a x)
+--R   (1)  -----------------------
+--R                   4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.591~~~~~$\displaystyle
+\int{\sinh{px}\cosh{qx}}~dx$}
+$$\int{\sinh{px}\cosh{qx}}=
+\frac{\cosh(p+q)x}{2(p+q)}+\frac{\cosh(p-q)x}{2(p-q)}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 14
+aa:=integrate(sinh(p*x)*cosh(q*x),x)
+--R 
+--R
+--R        - q sinh(p x)sinh(q x) + p cosh(p x)cosh(q x)
+--R   (1)  ---------------------------------------------
+--R           2    2          2       2    2          2
+--R         (q  - p )sinh(p x)  + (- q  + p )cosh(p x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.592~~~~~$\displaystyle
+\int{\sinh^n{ax}\cosh{ax}}~dx$}
+$$\int{\sinh^n{ax}\cosh{ax}}=
+\frac{\sinh^{n+1}{ax}}{(n+1)a}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 14
+aa:=integrate(sinh(a*x)^n*cosh(a*x),x)
+--R 
+--R
+--R        - sinh(a x)sinh(n log(sinh(a x))) - sinh(a x)cosh(n log(sinh(a x)))
+--R   (1)  -------------------------------------------------------------------
+--R                                      2                       2
+--R                    (a n + a)sinh(a x)  + (- a n - a)cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.593~~~~~$\displaystyle
+\int{\cosh^n{ax}\sinh{ax}}~dx$}
+$$\int{\cosh^n{ax}\sinh{ax}}=
+\frac{\cosh^{n+1}{ax}}{(n+1)a}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 14
+aa:=integrate(cosh(a*x)^n*sinh(a*x),x)
+--R 
+--R
+--R        - cosh(a x)sinh(n log(cosh(a x))) - cosh(a x)cosh(n log(cosh(a x)))
+--R   (1)  -------------------------------------------------------------------
+--R                                      2                       2
+--R                    (a n + a)sinh(a x)  + (- a n - a)cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.594~~~~~$\displaystyle
+\int{\sinh^2{ax}\cosh^2{ax}}~dx$}
+$$\int{\sinh^2{ax}\cosh^2{ax}}=
+\frac{\sinh{4ax}}{32a}-\frac{x}{8}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 14
+aa:=integrate(sinh(a*x)^2*cosh(a*x)^2,x)
+--R 
+--R
+--R                          3            3
+--R        cosh(a x)sinh(a x)  + cosh(a x) sinh(a x) - a x
+--R   (1)  -----------------------------------------------
+--R                               8a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.595~~~~~$\displaystyle
+\int{\frac{dx}{\sinh{ax}\cosh{ax}}}$}
+$$\int{\frac{1}{\sinh{ax}\cosh{ax}}}=
+\frac{1}{a}\ln\tanh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 14
+aa:=integrate(1/(sinh(a*x)*cosh(a*x)),x)
+--R 
+--R
+--R                      2cosh(a x)                     2sinh(a x)
+--R        - log(- ---------------------) + log(- ---------------------)
+--R                sinh(a x) - cosh(a x)          sinh(a x) - cosh(a x)
+--R   (1)  -------------------------------------------------------------
+--R                                      a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.596~~~~~$\displaystyle
+\int{\frac{dx}{\sinh^2{ax}\cosh{ax}}}$}
+$$\int{\frac{1}{\sinh^2{ax}\cosh{ax}}}=
+-\frac{1}{a}\tan^{-1}\sinh{ax}-\frac{{\rm csch~}{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 14
+aa:=integrate(1/(sinh(a*x)^2*cos(a*x)),x)
+--R 
+--R
+--R           x
+--R         ++            1
+--I   (1)   |   -------------------- d%R
+--R        ++                      2
+--I             cos(%R a)sinh(%R a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.597~~~~~$\displaystyle
+\int{\frac{dx}{\sinh{ax}\cosh^2{ax}}}$}
+$$\int{\frac{1}{\sinh{ax}\cosh^2{ax}}}=
+\frac{{\rm sech~}{ax}}{a}+\frac{1}{a}\ln\tanh{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 14
+aa:=integrate(1/(sinh(a*x)*cosh(a*x)^2),x)
+--R 
+--R
+--R   (1)
+--R                     2                                  2
+--R         (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  - 1)
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                   2                                  2
+--R         (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1)
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R       2sinh(a x) + 2cosh(a x)
+--R  /
+--R                2                                      2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.598~~~~~$\displaystyle
+\int{\frac{dx}{\sinh^2{ax}\cosh^2{ax}}}$}
+$$\int{\frac{1}{\sinh^2{ax}\cosh^2{ax}}}=
+-\frac{2\coth{2ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 14
+aa:=integrate(1/(sinh(a*x)^2*cosh(a*x)^2),x)
+--R 
+--R
+--R   (1)
+--R   -
+--R        4
+--R     /
+--R                     4                        3               2         2
+--R          a sinh(a x)  + 4a cosh(a x)sinh(a x)  + 6a cosh(a x) sinh(a x)
+--R        + 
+--R                      3                       4
+--R          4a cosh(a x) sinh(a x) + a cosh(a x)  - a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.599~~~~~$\displaystyle
+\int{\frac{\sinh^2{ax}}{\cosh{ax}}}~dx$}
+$$\int{\frac{\sinh^2{ax}}{\cosh{ax}}}~dx=
+\frac{\sinh{ax}}{a}-\frac{1}{a}\tan^{-1}\sinh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 14
+aa:=integrate(sinh(a*x)^2/cosh(a*x),x)
+--R 
+--R
+--R   (1)
+--R                                                                         2
+--R       (- 4sinh(a x) - 4cosh(a x))atan(sinh(a x) + cosh(a x)) + sinh(a x)
+--R     + 
+--R                                      2
+--R       2cosh(a x)sinh(a x) + cosh(a x)  - 1
+--R  /
+--R     2a sinh(a x) + 2a cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.600~~~~~$\displaystyle
+\int{\frac{\cosh^2{ax}}{\sinh{ax}}}~dx$}
+$$\int{\frac{\cosh^2{ax}}{\sinh{ax}}}=
+\frac{\cosh{ax}}{a}+\frac{1}{a}\ln\tanh{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 14
+aa:=integrate(cosh(a*x)^2/sinh(a*x),x)
+--R 
+--R
+--R   (1)
+--R       (- 2sinh(a x) - 2cosh(a x))log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                                                                          2
+--R       (2sinh(a x) + 2cosh(a x))log(sinh(a x) + cosh(a x) - 1) + sinh(a x)
+--R     + 
+--R                                      2
+--R       2cosh(a x)sinh(a x) + cosh(a x)  + 1
+--R  /
+--R     2a sinh(a x) + 2a cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.601~~~~~$\displaystyle
+\int{\frac{dx}{\cosh{ax}(1+\sinh{ax})}}$}
+$$\int{\frac{1}{\cosh{ax}(1+\sinh{ax})}}=
+\frac{1}{2a}\ln\left(\frac{1+\sinh{ax}}{\cosh{ax}}\right)
++\frac{1}{a}\tan^{-1}{e^{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 14
+aa:=integrate(1/(cosh(a*x)*(1+sinh(a*x))),x)
+--R 
+--R
+--R   (1)
+--R                     2cosh(a x)                - 2sinh(a x) - 2
+--R       - log(- ---------------------) + log(---------------------)
+--R               sinh(a x) - cosh(a x)        sinh(a x) - cosh(a x)
+--R     + 
+--R       2atan(sinh(a x) + cosh(a x))
+--R  /
+--R     2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.602~~~~~$\displaystyle
+\int{\frac{dx}{\sinh{ax}(\cosh{ax}+1)}}$}
+$$\int{\frac{1}{\sinh{ax}(\cosh{ax}+1)}}=
+\frac{1}{2a}\ln\tanh\frac{ax}{2}+\frac{1}{2a(\cosh{ax}+1)}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 14
+aa:=integrate(1/(sinh(a*x)*(cosh(a*x)+1)),x)
+--R 
+--R
+--R   (1)
+--R                      2                                          2
+--R           - sinh(a x)  + (- 2cosh(a x) - 2)sinh(a x) - cosh(a x)  - 2cosh(a x)
+--R         + 
+--R           - 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                   2                                        2
+--R         (sinh(a x)  + (2cosh(a x) + 2)sinh(a x) + cosh(a x)  + 2cosh(a x) + 1)
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R       2sinh(a x) + 2cosh(a x)
+--R  /
+--R                   2                                              2
+--R       2a sinh(a x)  + (4a cosh(a x) + 4a)sinh(a x) + 2a cosh(a x)
+--R     + 
+--R       4a cosh(a x) + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.603~~~~~$\displaystyle
+\int{\frac{dx}{\sinh{ax}(\cosh{ax}-1)}}$}
+$$\int{\frac{1}{\sinh{ax}(\cosh{ax}-1)}}=
+-\frac{1}{2a}\ln\tanh\frac{ax}{2}-\frac{1}{2a(cosh{ax}-1)}
+$$
+<<*>>=
+)clear all
+
+--S 14 of 14
+aa:=integrate(1/(sinh(a*x)*(cosh(a*x)-1)),x)
+--R 
+--R
+--R   (1)
+--R                   2                                        2
+--R         (sinh(a x)  + (2cosh(a x) - 2)sinh(a x) + cosh(a x)  - 2cosh(a x) + 1)
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                      2                                          2
+--R           - sinh(a x)  + (- 2cosh(a x) + 2)sinh(a x) - cosh(a x)  + 2cosh(a x)
+--R         + 
+--R           - 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R       - 2sinh(a x) - 2cosh(a x)
+--R  /
+--R                   2                                              2
+--R       2a sinh(a x)  + (4a cosh(a x) - 4a)sinh(a x) + 2a cosh(a x)
+--R     + 
+--R       - 4a cosh(a x) + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp89-90
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum30.input.pamphlet b/src/input/schaum30.input.pamphlet
new file mode 100644
index 0000000..0e1aaf4
--- /dev/null
+++ b/src/input/schaum30.input.pamphlet
@@ -0,0 +1,286 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum30.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.604~~~~~$\displaystyle
+\int{\tanh{ax}}~dx$}
+$$\int{\tanh{ax}}=
+\frac{1}{a}\ln\cosh{ax}
+$$
+<<*>>=
+)spool schaum30.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 11
+aa:=integrate(tanh(a*x),x)
+--R 
+--R
+--R                    2cosh(a x)
+--R        log(- ---------------------) - a x
+--R              sinh(a x) - cosh(a x)
+--R   (1)  ----------------------------------
+--R                         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.605~~~~~$\displaystyle
+\int{\tanh^2{ax}}~dx$}
+$$\int{\tanh^2{ax}}=
+x-\frac{\tanh{ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 11
+aa:=integrate(tanh(a*x)^2,x)
+--R 
+--R
+--R        - sinh(a x) + (a x + 1)cosh(a x)
+--R   (1)  --------------------------------
+--R                   a cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.606~~~~~$\displaystyle
+\int{\tanh^3{ax}}~dx$}
+$$\int{\tanh^3{ax}}=
+\frac{1}{a}\ln\cosh{ax}-\frac{\tanh^2{ax}}{2a}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 11
+aa:=integrate(tanh(a*x)^3,x)
+--R 
+--R
+--R   (1)
+--R                    4                      3              2              2
+--R           sinh(a x)  + 4cosh(a x)sinh(a x)  + (6cosh(a x)  + 2)sinh(a x)
+--R         + 
+--R                      3                                   4             2
+--R           (4cosh(a x)  + 4cosh(a x))sinh(a x) + cosh(a x)  + 2cosh(a x)  + 1
+--R      *
+--R                     2cosh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                      4                          3
+--R       - a x sinh(a x)  - 4a x cosh(a x)sinh(a x)
+--R     + 
+--R                        2                     2
+--R       (- 6a x cosh(a x)  - 2a x + 2)sinh(a x)
+--R     + 
+--R                        3                                                  4
+--R       (- 4a x cosh(a x)  + (- 4a x + 4)cosh(a x))sinh(a x) - a x cosh(a x)
+--R     + 
+--R                            2
+--R       (- 2a x + 2)cosh(a x)  - a x
+--R  /
+--R                  4                        3                2               2
+--R       a sinh(a x)  + 4a cosh(a x)sinh(a x)  + (6a cosh(a x)  + 2a)sinh(a x)
+--R     + 
+--R                  3                                       4               2
+--R     (4a cosh(a x)  + 4a cosh(a x))sinh(a x) + a cosh(a x)  + 2a cosh(a x)  + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.607~~~~~$\displaystyle
+\int{\tanh^n{ax}{{\rm ~sech}^2{ax}}}~dx$}
+$$\int{\tanh^n{ax}{{\rm ~sech}^2{ax}}}=
+\frac{\tanh^{n+1}{ax}}{(n+1)a}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 11
+aa:=integrate(tanh(a*x)^n*sech(a*x)^2,x)
+--R 
+--R
+--R                            sinh(a x)                         sinh(a x)
+--R        sinh(a x)sinh(n log(---------)) + sinh(a x)cosh(n log(---------))
+--R                            cosh(a x)                         cosh(a x)
+--R   (1)  -----------------------------------------------------------------
+--R                                (a n + a)cosh(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.608~~~~~$\displaystyle
+\int{\frac{{\rm sech}^2{ax}}{\tanh{ax}}}~dx$}
+$$\int{\frac{{\rm sech}^2{ax}}{\tanh{ax}}}=
+\frac{1}{a}\ln\tanh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 11
+aa:=integrate(sech(a*x)^2/tanh(a*x),x)
+--R 
+--R
+--R                      2cosh(a x)                     2sinh(a x)
+--R        - log(- ---------------------) + log(- ---------------------)
+--R                sinh(a x) - cosh(a x)          sinh(a x) - cosh(a x)
+--R   (1)  -------------------------------------------------------------
+--R                                      a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.609~~~~~$\displaystyle
+\int{\frac{dx}{\tanh{ax}}}~dx$}
+$$\int{\frac{1}{\tanh{ax}}}=
+\frac{1}{a}\ln\sinh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 11
+aa:=integrate(1/tanh(a*x),x)
+--R 
+--R
+--R                    2sinh(a x)
+--R        log(- ---------------------) - a x
+--R              sinh(a x) - cosh(a x)
+--R   (1)  ----------------------------------
+--R                         a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.610~~~~~$\displaystyle
+\int{x\tanh{ax}}~dx$}
+$$\int{x\tanh{ax}}=
+\frac{1}{a^2}\left\{
+\frac{(ax)^3}{3}-\frac{(ax)^5}{15}+\frac{2(ax)^7}{105}-\cdots
+\frac{(-1)^{n-1}2^{2n}(2^{2n}-1)B_n(ax)^{2n+1}}{(2n+1)!}+\cdots\right\}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 11
+aa:=integrate(x*tanh(a*x),x)
+--R 
+--R
+--R           x
+--R         ++
+--I   (1)   |   %O tanh(%O a)d%O
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.611~~~~~$\displaystyle
+\int{x\tanh^2{ax}}~dx$}
+$$\int{x\tanh^2{ax}}=
+\frac{x^2}{2}-\frac{x\tanh{ax}}{a}+\frac{1}{a^2}\ln\cosh{ax}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 11
+aa:=integrate(x*tanh(a*x)^2,x)
+--R 
+--R
+--R   (1)
+--R                    2                                   2
+--R         (2sinh(a x)  + 4cosh(a x)sinh(a x) + 2cosh(a x)  + 2)
+--R      *
+--R                     2cosh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R         2 2                 2      2 2
+--R       (a x  - 4a x)sinh(a x)  + (2a x  - 8a x)cosh(a x)sinh(a x)
+--R     + 
+--R         2 2                 2    2 2
+--R       (a x  - 4a x)cosh(a x)  + a x
+--R  /
+--R       2         2     2                       2         2     2
+--R     2a sinh(a x)  + 4a cosh(a x)sinh(a x) + 2a cosh(a x)  + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.612~~~~~$\displaystyle
+\int{\frac{\tanh{ax}}{x}}~dx$}
+$$\int{\frac{\tanh{ax}}{x}}=
+ax-\frac{(ax)^3}{9}+\frac{2(ax)^5}{75}-\cdots
+\frac{(-1)^{n-1}2^{2n}(2^{2n}-1)B_n(ax)^{2n-1}}{(2n-1)(2n)!}+\cdots
+$$
+<<*>>=
+)clear all
+
+--S 9 of 11
+aa:=integrate(tanh(a*x)/x,x)
+--R 
+--R
+--R           x
+--I         ++  tanh(%O a)
+--I   (1)   |   ---------- d%O
+--I        ++       %O
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.613~~~~~$\displaystyle
+\int{\frac{dx}{p+q\tanh{ax}}}~dx$}
+$$\int{\frac{1}{p+q\tanh{ax}}}=
+\frac{px}{p^2-q^2}-\frac{q}{a(p^2-q^2)}\ln(q\sinh{ax}+p\cosh{ax})
+$$
+<<*>>=
+)clear all
+
+--S 10 of 11
+aa:=integrate(1/(p+q*tanh(a*x)),x)
+--R 
+--R
+--R              - 2q sinh(a x) - 2p cosh(a x)
+--R        q log(-----------------------------) + (- a q - a p)x
+--R                  sinh(a x) - cosh(a x)
+--R   (1)  -----------------------------------------------------
+--R                                2      2
+--R                             a q  - a p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.614~~~~~$\displaystyle
+\int{\tanh^n{ax}}~dx$}
+$$\int{\tanh^n{ax}}=
+\frac{-\tanh^{n-1}{ax}}{a(n-1)}+\int{\tanh^{n-2}{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 11
+aa:=integrate(tanh(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++            n
+--I   (1)   |   tanh(%O a) d%O
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp89-90
+\end{thebibliography}
+\end{document}
